Piloterr

Homestra Ad

GET
/v2/homestra/ad

Retrieve detailed property listing data from Homestra, including price, size, location, features, photos, and nearby properties.

Credit cost: 1 credit per call

Authorization

ApiKeyAuth
headerx-api-key<token>

Your API key. Include it in the x-api-key header for every request.

Query Parameters

query*string

A Homestra property URL or slug.

Examples:

https://homestra.com/property/charming-4-bedroom-stone-house-with-historic-towers-in-idyllic-french-village/

Both the full URL and the slug (the last part of the URL path) are accepted.

Response Body

Successful response

application/json
  1. response
id?string
city?string
size?integer
slug?string
type?string
price?integer
title?string
garden?boolean
region?string
status?string
address?string
parking?boolean
basement?boolean
location?
lot_size?integer
condition?string
furnished?boolean
created_at?string
country_code?string
swimming_pool?boolean
nearby_properties?array<>
amount_of_bedrooms?integer
featured_photo_url?string
amount_of_bathrooms?integer
Example Request
curl -X GET 'https://api.piloterr.com/v2/homestra/ad?query=string'
Example Response
{  "id": "c6ff90a7-d152-42c9-a1a3-ff0b5cbbcdaf",  "city": "Civray",  "size": 240,  "slug": "charming-4-bedroom-stone-house-with-historic-towers-in-idyllic-french-village",  "type": "chateau",  "price": 474500,  "title": "Charming 4-Bedroom Stone House with Historic Towers in Idyllic French Village",  "garden": true,  "region": "Cher",  "status": "for_sale",  "address": "France",  "parking": true,  "basement": true,  "location": {    "type": "Point",    "coordinates": [      46.94515,      2.17684    ]  },  "lot_size": 3933,  "condition": "good",  "furnished": false,  "created_at": "2024-06-01T17:43:55.361Z",  "country_code": "fr",  "swimming_pool": false,  "nearby_properties": [    {      "id": "a08d69ea-888e-4ed2-8bbd-6a731efd1bd5",      "slug": "charming-3-bedroom-home-in-aquitaine-france",      "price": 275000,      "title": "Charming 3 Bedroom Home in Aquitaine, France"    }  ],  "amount_of_bedrooms": 4,  "featured_photo_url": "https://storage.googleapis.com/homestra-images/property-image-cab7dff4-ce7b-4f20-9d35-2df09ae9d283-1717266265.jpg",  "amount_of_bathrooms": 1}